Signature is... Invalid... again

inxi
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = "",
        LC_ALL = (unset),
        LC_ADDRESS = "pt_BR.UTF-8",
        LC_NAME = "pt_BR.UTF-8",
        LC_MONETARY = "pt_BR.UTF-8",
        LC_PAPER = "pt_BR.UTF-8",
        LC_IDENTIFICATION = "pt_BR.UTF-8",
        LC_TELEPHONE = "pt_BR.UTF-8",
        LC_MEASUREMENT = "pt_BR.UTF-8",
        LC_TIME = "pt_BR.UTF-8",
        LC_NUMERIC = "pt_BR.UTF-8",
        LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
System:
  Kernel: 5.15.53-2-lts arch: x86_64 bits: 64 compiler: gcc v: 12.1.0
    parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-lts
    root=UUID=33da784c-6400-4145-99e3-93bc3c7463b2 rw [email protected]
    quiet
    cryptdevice=UUID=5b16040e-5d39-4cd0-80b7-423ffe50eaff:luks-5b16040e-5d39-4cd0-80b7-423ffe50eaff
    root=/dev/mapper/luks-5b16040e-5d39-4cd0-80b7-423ffe50eaff splash
    rd.udev.log_priority=3 vt.global_cursor_default=0 loglevel=3 ibt=off
  Desktop: LXQt v: 1.1.0 tk: Qt v: 5.15.5 info: cairo-dock, lxqt-panel
    wm: kwin_x11 vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
  Type: Desktop Mobo: INTEL model: HM65DESK serial: <superuser required>
    UEFI: American Megatrends v: 4.6.5 date: 02/23/2019
CPU:
  Info: model: Intel Core i7-2620M bits: 64 type: MT MCP arch: Sandy Bridge
    gen: core 2 built: 2010-12 process: Intel 32nm family: 6
    model-id: 0x2A (42) stepping: 7 microcode: 0x2F
  Topology: cpus: 1x cores: 2 tpc: 2 threads: 4 smt: enabled cache:
    L1: 128 KiB desc: d-2x32 KiB; i-2x32 KiB L2: 512 KiB desc: 2x256 KiB
    L3: 4 MiB desc: 1x4 MiB
  Speed (MHz): avg: 1521 high: 2175 min/max: 800/3400 scaling:
    driver: intel_cpufreq governor: performance cores: 1: 2175 2: 1746 3: 901
    4: 1263 bogomips: 21552
  Flags: avx ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3
  Vulnerabilities:
  Type: itlb_multihit status: KVM: VMX unsupported
  Type: l1tf mitigation: PTE Inversion
  Type: mds mitigation: Clear CPU buffers; SMT vulnerable
  Type: meltdown mitigation: PTI
  Type: mmio_stale_data status: Not affected
  Type: spec_store_bypass
    mitigation: Speculative Store Bypass disabled via prctl and seccomp
  Type: spectre_v1
    mitigation: usercopy/swapgs barriers and __user pointer sanitization
  Type: spectre_v2 mitigation: Retpolines, IBPB: conditional, IBRS_FW,
    STIBP: conditional, RSB filling
  Type: srbds status: Not affected
  Type: tsx_async_abort status: Not affected
Graphics:
  Device-1: NVIDIA GM107 [GeForce GTX 750] driver: nvidia v: 515.57
    alternate: nouveau,nvidia_drm non-free: 515.xx+
    status: current (as of 2022-06) arch: Maxwell process: TSMC 28nm
    built: 2014-19 pcie: gen: 1 speed: 2.5 GT/s lanes: 8 link-max: gen: 2
    speed: 5 GT/s lanes: 16 bus-ID: 01:00.0 chip-ID: 10de:1381 class-ID: 0300
  Display: x11 server: X.Org v: 21.1.4 with: Xwayland v: 22.1.3
    compositor: kwin_x11 driver: X: loaded: nvidia unloaded: modesetting
    alternate: fbdev,nouveau,nv,vesa gpu: nvidia display-ID: :0 screens: 1
  Screen-1: 0 s-res: 1360x768 s-dpi: 90 s-size: 384x300mm (15.12x11.81")
    s-diag: 487mm (19.18")
  Monitor-1: HDMI-0 res: 1360x768 hz: 60 dpi: 49
    size: 708x398mm (27.87x15.67") diag: 812mm (31.98") modes: N/A
  OpenGL: renderer: NVIDIA GeForce GTX 750/PCIe/SSE2 v: 4.6.0 NVIDIA 515.57
    direct render: Yes
Audio:
  Device-1: Intel 6 Series/C200 Series Family High Definition Audio
    driver: snd_hda_intel v: kernel bus-ID: 00:1b.0 chip-ID: 8086:1c20
    class-ID: 0403
  Device-2: NVIDIA GM107 High Definition Audio [GeForce 940MX]
    driver: snd_hda_intel v: kernel pcie: gen: 2 speed: 5 GT/s lanes: 8
    link-max: lanes: 16 bus-ID: 01:00.1 chip-ID: 10de:0fbc class-ID: 0403
  Sound Server-1: ALSA v: k5.15.53-2-lts running: yes
  Sound Server-2: PulseAudio v: 16.1 running: no
  Sound Server-3: PipeWire v: 0.3.55 running: yes
Network:
  Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
    driver: r8169 v: kernel pcie: gen: 1 speed: 2.5 GT/s lanes: 1 port: d000
    bus-ID: 03:00.0 chip-ID: 10ec:8168 class-ID: 0200
  IF: enp3s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
Drives:
  Local Storage: total: 2.78 TiB used: 521.12 GiB (18.3%)
  SMART Message: Unable to run smartctl. Root privileges required.
  ID-1: /dev/sda maj-min: 8:0 model: SATA SSD size: 55.9 GiB block-size:
    physical: 512 B logical: 512 B speed: 3.0 Gb/s type: SSD serial: <filter>
    rev: Sb10 scheme: GPT
  ID-2: /dev/sdb maj-min: 8:16 vendor: Seagate model: ST3000NM0053
    size: 2.73 TiB block-size: physical: 512 B logical: 512 B speed: 3.0 Gb/s
    type: HDD rpm: 7200 serial: <filter> rev: G00A scheme: GPT
Partition:
  ID-1: / raw-size: 558.79 GiB size: 558.79 GiB (100.00%)
    used: 97.92 GiB (17.5%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
    mapped: luks-5b16040e-5d39-4cd0-80b7-423ffe50eaff
  ID-2: /boot/efi raw-size: 5.59 GiB size: 5.58 GiB (99.80%)
    used: 240.8 MiB (4.2%) fs: vfat dev: /dev/sda2 maj-min: 8:2
  ID-3: /home raw-size: 558.79 GiB size: 558.79 GiB (100.00%)
    used: 97.92 GiB (17.5%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
    mapped: luks-5b16040e-5d39-4cd0-80b7-423ffe50eaff
  ID-4: /var/log raw-size: 558.79 GiB size: 558.79 GiB (100.00%)
    used: 97.92 GiB (17.5%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
    mapped: luks-5b16040e-5d39-4cd0-80b7-423ffe50eaff
  ID-5: /var/tmp raw-size: 558.79 GiB size: 558.79 GiB (100.00%)
    used: 97.92 GiB (17.5%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
    mapped: luks-5b16040e-5d39-4cd0-80b7-423ffe50eaff
Swap:
  Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
  ID-1: swap-1 type: zram size: 3.79 GiB used: 705.5 MiB (18.2%)
    priority: 100 dev: /dev/zram0
Sensors:
  System Temperatures: cpu: 44.0 C mobo: N/A gpu: nvidia temp: 35 C
  Fan Speeds (RPM): N/A gpu: nvidia fan: 33%
Info:
  Processes: 219 Uptime: 1h 1m wakeups: 0 Memory: 3.79 GiB
  used: 1.27 GiB (33.4%) Init: systemd v: 251 default: graphical
  tool: systemctl Compilers: gcc: 12.1.0 clang: 14.0.6 Packages: 1748
  pacman: 1736 lib: 540 flatpak: 12 Shell: Bash v: 5.1.16
  running-in: qterminal inxi: 3.3.19
Garuda (2.6.5-1):
  System install date:     2022-07-24
  Last full system update: 2022-07-13
  Is partially upgraded:   No
  Relevant software:       NetworkManager
  Windows dual boot:       No/Undetected
  Snapshots:               Snapper
  Failed units:            

Alright, the stuff I'm getting is this:

(147/147) checking keys in keyring                                              [----------------------------------------------] 100%
(147/147) checking package integrity                                            [----------------------------------------------] 100%
error: ananicy-rules-git: signature from "Nico Jensch (Chaotic-AUR) <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/ananicy-rules-git-2.2.1.r293.ge26f09e-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: ant-dracula-kvantum-theme-git: signature from "Nico Jensch (Chaotic-AUR) <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/ant-dracula-kvantum-theme-git-v3.0.r60.g58b8cf7-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: ant-dracula-theme-git: signature from "Nico Jensch (Chaotic-AUR) <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/ant-dracula-theme-git-3.0.r60.g58b8cf7-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

Either with "paru -Su" or "pacman -Syu" or "update". Same result, always.

I thought to myself "WAIT!! I KNOW THE ANSWER TO THIS PROBLEM, I'M NOT A COMPLETE NOOBIE" and went on with the following tutorial:

Did it work? Well,
No.
No it didn't.
I tried the only other thing that popped up on my head: opened the G-Assistant (g for garuda ofc) and clicked on:

"Refresh Mirrorlist" and then
"Refresh Keyrings" and then
"System Update"

...

Next up on my list is seeing what y'all got up your sleeves cause mine are absolutely empty.
I'm not a noobie... that is, I'm not completely a noobie, but my skills end here sadly.

Any and all help and emotional support is greatly appreciated. C=

There seems to be a recurring issue with the Chaotic AUR builder that leads to a mismatch with -git packages. Usually it needs some manual intervention, but until that has been done you can ignore those packages for the update with e.g.

pacman -Syu --ignore ananicy-rules-git --ignore ant-dracula-kvantum-theme-git --ignore ant-dracula-theme-git
6 Likes

Oh... that's new to me xD
Alright then chief, ignored they will be.
Thank you so much for helping me out : 3

Should be fixed by now, sorry for the inconvenience :slight_smile:

6 Likes

Not at all. The problem continues with the Candid Icons pack. This guy
Nico Jensch (Chaotic-AUR) does not correct the length of the pack. It was 3 packages with error on Friday, now just one. Please, pay attention!

is dr460nf1r3. You can find him directly above your post.

Does it need an issue message in the AUR?

Thank you very much for the kind comment.

BTW, welcome in the Garuda Linux forum.

5 Likes

I just confirmed that it is in fact fixed. sudo pacman -Syu chaotic-aur/candy-icons-git

2 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.